.social-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    background: linear-gradient(to left, 
        rgba(200, 200, 215, 0.5), 
        rgba(240, 240, 245, 0.2)
    );
    backdrop-filter: blur(30px) brightness(110%) contrast(90%) saturate(150%);
    -webkit-backdrop-filter: blur(30px) brightness(110%) contrast(90%) saturate(150%);
    border: 1px solid rgba(255, 255, 255, 0.8);
    border-radius: 50vh;
    position: fixed;
    top: 50%;
    transform: translateY(-50%);
    right: 20px;
    z-index: 100;
    width: fit-content;
    box-shadow: 
        0 2px 6px rgba(0, 0, 0, 0.14),
        0 4px 14px rgba(0, 0, 0, 0.10),
        inset 0 1px 1px rgba(255, 255, 255, 0.9),
        inset 0 -1px 1px rgba(180, 180, 195, 0.3);
    width: 50px;
    padding: 8px;
}

.social-container a img {
    width: 100%;
}

.social-container a {
    -webkit-tap-highlight-color: transparent;
}

.social-container hr {
    width: 80%;
    border: none;
    height: 1.2px;
    border-radius: 50vh;
    background-color: #fff;
    -webkit-box-shadow: 0px 0px 4px 2px #E4EEF0; 
    box-shadow: 0px 0px 4px 2px #E4EEF0;
}

.social-container button {
    display: none;
    height: 30px;
    background-color: transparent;
}

.social-container button img {
    width: 100%;
}

.social-container-button-hr {
    display: none;
}


@media (max-width: 768px) {
    #social-media-links {
        overflow: hidden;
        max-height: 0;
        opacity: 0;
        transition: max-height 0.3s linear, opacity 0.3s linear;
    }

    #social-media-links.open {
        max-height: 300px;
        opacity: 1;
    }
    
    .social-container button {
        width: 100%;
        padding: 0;
        border-radius: 50vh;
        border: none;
        background-color: none;
        display: block;
    }
    
    .social-container-button-hr {
        display: block;
    }
}
